
#include "dialogSem.h"
#include "semestre.h"

//------------------------------------------------------------------------------
DialogSem::DialogSem(wxWindow* parent, int id, const wxString& title, const wxPoint& pos, const wxSize& size, long style):
    wxDialog(parent, id, title, pos, size, wxDEFAULT_DIALOG_STYLE)
{
    numero = new wxStaticText(this, -1, wxT("Numro :"));
    ctrl_numero = new wxTextCtrl(this, -1, wxT(""));
    const wxString radio_box_1_choices[] = { SEASON_1, SEASON_2 };
    radio_box = new wxRadioBox(this, -1, wxT("Saison"), wxDefaultPosition, wxDefaultSize, 2, radio_box_1_choices, 0, wxRA_SPECIFY_ROWS);
    bt_add = new wxButton(this, wxID_OK, wxT("Ok"));
    bt_cancel = new wxButton(this, wxID_CANCEL, wxT("Annuler"));

    set_properties();
    do_layout();
	radio_box->SetSelection(0);
}

//------------------------------------------------------------------------------
void DialogSem::set_properties()
{
    // begin wxGlade: MyDialog::set_properties
    radio_box->SetSelection(0);
}

//------------------------------------------------------------------------------
void DialogSem::do_layout()
{
    wxFlexGridSizer* grid_sizer_1 = new wxFlexGridSizer(2, 1, 0, 0);
    wxFlexGridSizer* grid_sizer_3 = new wxFlexGridSizer(1, 2, 0, 0);
    wxFlexGridSizer* grid_sizer_2 = new wxFlexGridSizer(1, 2, 0, 0);
    grid_sizer_2->Add(numero, 0, wxEXPAND|wxADJUST_MINSIZE, 0);
    grid_sizer_2->Add(ctrl_numero, 0, wxEXPAND|wxADJUST_MINSIZE, 0);
    grid_sizer_2->AddGrowableRow(0);
    grid_sizer_2->AddGrowableCol(0);
    grid_sizer_2->AddGrowableCol(1);
    grid_sizer_1->Add(grid_sizer_2, 1, wxEXPAND, 0);
    grid_sizer_1->Add(radio_box, 0, wxEXPAND|wxADJUST_MINSIZE, 0);
    grid_sizer_3->Add(bt_add, 0, wxEXPAND|wxADJUST_MINSIZE, 0);
    grid_sizer_3->Add(bt_cancel, 0, wxEXPAND|wxADJUST_MINSIZE, 0);
    grid_sizer_3->AddGrowableCol(0);
    grid_sizer_3->AddGrowableCol(1);
    grid_sizer_1->Add(grid_sizer_3, 1, wxEXPAND, 0);
    SetAutoLayout(true);
    SetSizer(grid_sizer_1);
    grid_sizer_1->Fit(this);
    grid_sizer_1->SetSizeHints(this);
    grid_sizer_1->AddGrowableRow(1);
    grid_sizer_1->AddGrowableCol(0);
    Layout();
}

//------------------------------------------------------------------------------
bool DialogSem::GetSaison()
{
	if (radio_box->GetSelection() == 0)
		return true;
	else
		return false;
}

//------------------------------------------------------------------------------
wxString DialogSem::GetNombre()
{
	return ctrl_numero->GetValue();
}