

#ifndef _UV_H_
#define _UV_H_

/* includes */
#include <iostream>
#include <string>
#include <list>
#include <algorithm>

using namespace std;



class Uv
{
	private:
		string codeuv;   // ex. : LO11, SY06
		string resultat; // A,B, F.

	public:
		/* Constructeurs */
		Uv() : codeuv(""), resultat("") {}
		Uv(string u) : codeuv(u), resultat("") {}
		Uv(string u, string res) : codeuv(u), resultat(res) {}

		/* Destructeur */
		~Uv() {}

		/* Accesseurs */
		inline void setCodeUv(string u) { codeuv = u; }
		inline void setResultat(string res) { resultat = res; }
		inline string getCodeUv() const { return codeuv; }
		inline string getResultat() const { return resultat; }

		/* Redfinition d'oprateurs */
		Uv & operator = (const Uv & u);
		friend ostream & operator << (ostream &, const Uv &);
		bool operator == (const Uv &) const;
		bool operator < (const Uv &) const;

};


#endif


